changeset 10475:3edae8285d40

<oerjan> fetch bin/msg https://hackego.esolangs.org/get/bin/slashlearn
author HackBot
date Tue, 21 Mar 2017 15:07:17 +0000
parents 98c041807495
children cc3b7d3c0fb7
files bin/msg
diffstat 1 files changed, 4 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/msg	Tue Mar 21 15:07:17 2017 +0000
@@ -0,0 +1,4 @@
+sep='//`'
+[[ "$1" == ?*"$sep"* ]] || { echo 'Usage: `msg <comment>'"$sep"'<command>' >&2 ; exit 1; }
+command="${1#*$sep}"
+"${command%% *}" "${command#* }"